darcs

Issue 1397 darcs does not distinguish special case when the only paths supplied are invalid

Title darcs does not distinguish special case when the only paths supplied are invalid
Priority bug Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, galbolle, jaredj, kowey, thorkilnaur, twb
Assigned To
Topics ProbablyEasy, UI

Created on 2009-03-19.11:11:16 by twb, last changed 2010-11-20.23:00:56 by noreply.

Messages
msg7478 (view) Author: twb Date: 2009-03-19.11:11:13
This is still not correct; if an absolute non-existent path is
supplied to "darcs changes", it should not print any patches.
Currently it prints *all* patches.

$ with-temp-dir
with-temp-dir: entering directory `/tmp/with-temp-dir.MrgYvV'
This directory will be deleted when you exit.
$ darcs init
$ touch x
$ darcs rec -lam x x
Recording changes in "x":

Finished recording patch 'x'
$ darcs changes y
Changes to y:

$ darcs changes /y
Ignoring non-repository paths: /y
Thu Mar 19 22:12:20 EST 2009  Trent W. Buck <trentbuck@gmail.com>
  * x
$ darcs --version
2.2.0 (release)
$
msg7612 (view) Author: kowey Date: 2009-04-09.11:00:37
This is a very minor bug, but there should be a general solution.  The problem
is that darcs filters out paths which are invalid.  What it should probably do
is to have a special little bit of intelligence for when the only paths given
are invalid.
msg13128 (view) Author: noreply Date: 2010-11-20.23:00:55
The following patch sent by Alexey Levan <exlevan@gmail.com> updated issue issue1397 with
status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue1397: separate arguments/repository code in Changes.lhs 
Ignore-this: 313b379282f1a40848fad859f3f210c8
History
Date User Action Args
2009-03-19 11:11:16twbcreate
2009-04-09 11:00:44koweysetstatus: unread -> unknown
priority: bug
title: darcs changes /nonexistent prints *all* patches. -> darcs does not distinguish special case when the only paths supplied are invalid
nosy: + jaredj
messages: + msg7612
topic: + ProbablyEasy, UI
2009-08-11 18:09:16koweysetstatus: unknown -> needs-implementation
nosy: kowey, simon, twb, thorkilnaur, jaredj, dmitry.kurochkin
2009-08-25 17:42:17adminsetnosy: + darcs-devel, - simon
2009-08-27 14:23:17adminsetnosy: kowey, darcs-devel, twb, thorkilnaur, jaredj, dmitry.kurochkin
2010-01-05 13:50:16galbollesetnosy: + galbolle
assignedto: galbolle
2010-02-02 13:35:47galbollesetassignedto: galbolle ->
2010-03-08 19:16:06exlevanlinkpatch172 issues
2010-11-20 23:00:56noreplysetstatus: needs-implementation -> resolved
messages: + msg13128
resolvedin: 2.8.0